イベントの作成
このコード・スニペットでは、イベントを作成する方法を学びます。
Product deprecation notice
Effective April 30th, 2026, Vonage In-App Messaging will no longer be available. Access for new users will be closed, and the service will be discontinued for all existing users.
If you have any questions regarding this product’s discontinuation, please contact your account manager or our support team.
例
以下の変数が、便利な方法で必要な値に設定されていることを確認してください:
| キー | 説明 |
|---|---|
CONVERSATION_ID | The ID of the Conversation. |
MEMBER_ID | The unique ID of the Member. |
Prerequisites
You will need to use an existing Application that contains a Conversation in order to be able to create an Event. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Write the code
Add the following to create-event.sh:
curl -X "POST" "https://api.nexmo.com/v1/conversations/$CONV_ID/events" \
-H 'Authorization: Bearer '$JWT\
-H 'Content-Type: application/json' \
-d $'{
"type": "'$CONV_EVENT_TYPE'",
"from": "'$CONV_EVENT_FROM'"
"body": {
"message_type": "text",
"text": "string"
}
}'Run your code
Save this file to your machine and run it:
Prerequisites
You will need to use an existing Application that contains a Conversation in order to be able to create an Event. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
npm install @vonage/server-sdkCreate a file named create-event.js and add the following code:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Write the code
Add the following to create-event.js:
vonage.conversations.createEvent(
CONV_ID,
{
'type': CONV_EVENT_TYPE,
'from': CONV_EVENT_FROM,
'body': {
'text': 'message',
},
},
)
.then((event) => console.log(event))
.catch((error) => console.error(error));Run your code
Save this file to your machine and run it:
Prerequisites
You will need to use an existing Application that contains a Conversation in order to be able to create an Event. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Add the following to build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Create a class named CreateEvent and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the CreateEvent class:
var event = client.getConversationsClient().createEvent(
CONV_ID, MessageEvent.builder(MessageType.TEXT)
.from(CONV_MEMBER_ID)
.text("Hello World!")
.build()
);
System.out.println(event);Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Run the following gradle command to execute your application, replacing com.vonage.quickstart.conversation with the package containing CreateEvent:
Prerequisites
You will need to use an existing Application that contains a Conversation in order to be able to create an Event. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Install-Package VonageCreate a file named CreateEvent.cs and add the following code:
using System;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Vonage;
using Vonage.Conversations.CreateEvent;
using Vonage.Request;Add the following to CreateEvent.cs:
var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);Write the code
Add the following to CreateEvent.cs:
var response = await client.ConversationsClient.CreateEventAsync(CreateEventRequest.Build()
.WithConversationId(CONV_ID)
.WithType(CONV_EVENT_TYPE)
.WithBody(new
{
message_type = "text",
text = "string"
})
.WithFrom(CONV_EVENT_FROM)Prerequisites
You will need to use an existing Application that contains a Conversation in order to be able to create an Event. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
composer require vonage/clientCreate a file named create-event.php and add the following code:
use Vonage\Conversation\ConversationObjects\CreateConversationRequest;
use Vonage\Conversation\ConversationObjects\UpdateConversationRequest;
require_once __DIR__ . '../../config.php';
require_once __DIR__ . '../../vendor/autoload.php';
$keypair = new \Vonage\Client\Credentials\Keypair(
file_get_contents(VONAGE_APPLICATION_PRIVATE_KEY_PATH),
VONAGE_APPLICATION_ID
);
$client = new \Vonage\Client($keypair);Write the code
Add the following to create-event.php:
$eventRequest = new \Vonage\Conversation\ConversationObjects\EventRequest(
CONVERSATION_ID,
'text',
MEMBER_ID,
);
$client->conversation()->createEvent($eventRequest);Run your code
Save this file to your machine and run it:
試してみる
コードを実行すると、新しいイベントが作成されます。